Subject: Re: Problem with IPv6 Route Cache

From: Roman Mamedov <[email-masked]>
Date: Fri, 11 Jan 2013 22:37:55 +0600

Hello,

I have discovered that when the problem is occuring, I have:

root@neru:~# ip -6 neigh
fd39:20::39 dev tun-rm  FAILED
fe80::20b:45ff:fe80:c000 dev eth0 lladdr 00:0b:45:80:c0:00 router REACHABLE
2a02:e00:ffff:56::1 dev eth0 lladdr 00:0b:45:80:c0:00 router REACHABLE

Launching "ping6 fd39:20::39" turns fd39:20::39 from FAILED to REACHABLE.
After that, "ip -6 route flush cache" actually succeeds in removing the route
via default gateway, and I then get the proper route entry:

root@neru:~# ip -6 route get fd39::100
fd39::100 from :: via fd39:20::39 dev tun-rm  src fd39:20::3  metric 0 
    cache

So I conclude that my issue is very similar to [1] mentioned in a Bugzilla
entry [2] linked here just today.

  [1] https://lkml.org/lkml/2012/5/25/96
  [2] https://bugzilla.kernel.org/show_bug.cgi?id=42991

-- 
With respect,
Roman

~~~~~~~~~~~~~~~~~~~~~~~~~~~
"Stallman had a printer,
with code he could not see.
So he began to tinker,
and set the software free."